"use strict";
(function ($) {
    $.block_top_reviews = function (element, options) {
        let defaults = {
            row_state_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            let $block_arrow=$element.find(".block-arrow");
            $element.find('.content').slick({
                infinite: true,
                slidesToShow: 1,
                slidesToScroll: 1,
                adaptiveHeight: true,
                prevArrow: $block_arrow.find('.prev-arrow'),
                nextArrow: $block_arrow.find('.next-arrow'),
            });
           
            

        };
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.block_top_reviews = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('block_top_reviews')) {
                let plugin = new $.block_top_reviews(this, options);
                $(this).data('block_top_reviews', plugin);
            }
        });
    }
})(jQuery);
